Subject: Re: bug#19568: 24.3; not documented: Which system settings affect the choice of the default font by an uncustomized Emacs 24?

From: Stefan Kangas <[email-masked]>
Date: Mon, 23 Nov 2020 09:24:56 -0500

Ivan Zakharyaschev <[email-masked]> writes:

> My situation and the issue are like the ones in
> <http://lists.gnu.org/archive/html/help-gnu-emacs/2012-06/msg00183.html>
> (Florian Lindner):
>
>> after the recent upgrade to emacs 24.x (...) my font size
>> is too large (one times C-x C-minus corrects it temporarily for the
>> buffer). The menu font size is fine, the rest (buffer, mode line,
>> minibuffer is too large). I've read about the various ways to set the
>> font size.
>>
>> **Is there a specific reason why the font size has increased after the
>> update? And thus a global way to correct it?**
>
> So, even having read about all the ways to set a font in Emacs, I
> haven't found an answer which would explain the difference in font
> size between an uncustomized Emacs 23.x and Emacs 24.y.
>
> Probably, it's as in the follow-up answer (Tassilo Horn):
>
>> Emacs 24 adds support for gconf and gsettings, so it'll pick whatever
>> monospace font and sizes you have set as the default in your system
>> settings
>
> I'd like to know the place these settings are stored, and to tweak
> them (so that not only Emacs, but perhaps other similarly behaving
> programs would get my font settings).
>
> I'm especially interested in making the default font size smaller again.
>
> Unforunately, [in the Emacs
> manual](http://www.gnu.org/software/emacs/manual/html_node/emacs/Fonts.html)
> it is not documented which system settings affect the choice of the
> default font by an uncustomized Emacs 24.
>
> I believe this is an important information for an Emacs user and
> should be present in the manual.

It seems like Emacs picks up these gconf settings:

#define GCONF_TOOL_BAR_STYLE "/desktop/gnome/interface/toolbar_style"
#define GCONF_MONO_FONT  "/desktop/gnome/interface/monospace_font_name"
#define GCONF_FONT_NAME  "/desktop/gnome/interface/font_name"

Perhaps we should mention these in the manual?  Or is this something
that should be documented by gconf itself?  How does one even configure
this stuff in Gnome?  (I don't use it myself.)